

%define kexiv2_major 5
%define libkf5exiv2 %mklibname kf5exiv2_ %kexiv2_major
%define libkf5exiv2_devel %mklibname kf5exiv2 -d

Name: libkexiv2
Summary: Wrapper around exiv2 library
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkf5exiv2
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: %{_lib}exiv2-devel
BuildRequires: kcoreaddons-devel
BuildRequires: ki18n-devel
BuildRequires: ktextwidgets-devel

Obsoletes: %{_lib}kf5exiv2_5
Provides: %{_lib}kf5exiv2_5 = %version-%release


%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files
#------------------------------------------------------------------------------
%{_kf5_libdir}/libKF5KExiv2.so.%{kexiv2_major}*
%{_kf5_libdir}/libKF5KExiv2.so.15*
%{_kf5_datadir}/qlogging-categories5/libkexiv2.categories

#------------------------------------------------------------------------------



%package -n %{libkf5exiv2_devel}
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %{name} = %version-%release
Provides: %name-devel = %version-%release

%description -n %{libkf5exiv2_devel}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

This package contains header files needed if you wish to build applications
based on libkf5exiv2.

%files -n %{libkf5exiv2_devel}
%{_kf5_includedir}/KExiv2
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KF5KExiv2

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

